Skip to content
Bpanda
English
Esc
↑↓navigate↵open⌘Jpreview

List all versions visible to the caller.

List all versions visible to the caller. Get the versions of this process that the caller may see. The list is ordered by relevance: the currently valid version first, then the next one, then the previous ones with the most recent first, then the upcoming ones.

Security: Any user holding a Bpanda licence for the process space. Unpublished versions are only returned to an owner, whitelistee, Manager or Designer of the process.

GET/v1/warehouses/{warehouseId}/processes/{processId}/versions
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

processIdstringrequired

ID of process

Responses
200

List of process version info

Array of ProcessInfo
breadcrumbsBreadcrumb[]required
Show properties
Array of Breadcrumb
idstringrequired
namestringrequired
changeSummarystring
descriptionsDescription[]required
Show properties
Array of Description
textFormattedText[]required
Show properties
Array of FormattedText
formatTextFormatrequired
Allowed:BBCodeHTMLPlainText
textstringrequired
titlestringrequired
hasDiagrambooleanrequired
idstringrequired
importedAtstringrequired
importedBystringrequired
lanesAkkuLane[]
Show properties
Array of AkkuLane
groupIdsstring[]required
idstringrequired
namestringrequired
orgIdsstring[]required
orgRoleIdsstring[]required
typestringrequired
userIdsstring[]required
langstringrequired
namestringrequired
presenceTagsPresenceTags
Show properties
changedAtstringrequired
changedBystringrequired
tagsPresenceTag[]required
processStateProcessVersionStatusrequired
Allowed:ABANDONEDAPPROVEDDELETEDIMPORTEDINVALIDIN_REVIEWNOT_PUBLISHEDPUBLISHEDUNKNOWNVALIDWORKFLOWASSIGNED
processVersionNrinteger<int32>required
publicProcessVersionLabelstring
publicProcessVersionNrstring
publishedAtstring
publishedBystring
rolesRoles
Show properties
blacklistedIdsstring[]required
ownerIdsstring[]required
participantIdsstring[]required
whitelistedIdsstring[]required
svgIdstring
thumbnailstring
typestringrequired
validityValidity
Show properties
fromstringrequired
untilstringrequired
validityStateValidityStaterequired
Allowed:GONEINVALIDNEXTPREVIOUSUNKNOWNUPCOMINGVALID
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/processes/string/versions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY'
Response
[
  {
    "breadcrumbs": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "changeSummary": "string",
    "descriptions": [
      {
        "text": [
          {
            "format": "BBCode",
            "text": "string"
          }
        ],
        "title": "string"
      }
    ],
    "hasDiagram": true,
    "id": "string",
    "importedAt": "string",
    "importedBy": "string",
    "lanes": [
      {
        "groupIds": [
          "string"
        ],
        "id": "string",
        "name": "string",
        "orgIds": [
          "string"
        ],
        "orgRoleIds": [
          "string"
        ],
        "type": "string",
        "userIds": [
          "string"
        ]
      }
    ],
    "lang": "string",
    "name": "string",
    "presenceTags": {
      "changedAt": "string",
      "changedBy": "string",
      "tags": [
        "PRESENCE_TAG_DEFAULT"
      ]
    },
    "processState": "ABANDONED",
    "processVersionNr": 0,
    "publicProcessVersionLabel": "string",
    "publicProcessVersionNr": "string",
    "publishedAt": "string",
    "publishedBy": "string",
    "roles": {
      "blacklistedIds": [
        "string"
      ],
      "ownerIds": [
        "string"
      ],
      "participantIds": [
        "string"
      ],
      "whitelistedIds": [
        "string"
      ]
    },
    "svgId": "string",
    "thumbnail": "string",
    "type": "string",
    "validity": {
      "from": "string",
      "until": "string"
    },
    "validityState": "GONE"
  }
]